PSystemLog Class Reference

This class abstracts the operating system dependent error logging facility. More...

`#include <syslog.h>`

Inheritance diagram for PSystemLog:

## Static Public Member Functions

Miscellaneous functions
static PSystemLogTarget & | GetTarget ()
| Get the current target/destination for system logging. More...
static void | SetTarget (PSystemLogTarget *target, bool autoDelete=true)
| Set the current target/destination for system logging. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Construction

enum | Level { StdError = -1, Fatal, Error, Warning, Info, Debug, Debug2, Debug3, Debug4, Debug5, Debug6, NumLogLevels }
| define the different error log levels More...
| PSystemLog (Level level)
| Create a system log stream. More...
| ~PSystemLog ()
| Destroy the string stream, deleting the stream buffer. More...

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Detailed Description

This class abstracts the operating system dependent error logging facility.

To send messages to the system error log, the PSYSTEMLOG macro should be used.

## Member Enumeration Documentation

## Level

enum PSystemLog::Level

define the different error log levels

Enumerator
StdError | Log from standard error stream.
Fatal | Log a fatal error.
Error | Log a non-fatal error.
Warning | Log a warning.
Info | Log general information.
Debug | Log debugging information.
Debug2 | Log more debugging information.
Debug3 | Log even more debugging information.
Debug4 | Log a lot of debugging information.
Debug5 | Log a real lot of debugging information.
Debug6 | Log a bucket load of debugging information.
NumLogLevels |

## Constructor & Destructor Documentation

## PSystemLog()

PSystemLog::PSystemLog | ( | Level | level | ) |

Create a system log stream.

Parameters

  level | only messages at this level or higher will be logged

Referenced by ~PSystemLog().

## ~PSystemLog()

PSystemLog::~PSystemLog | ( |  | ) |

inline

Destroy the string stream, deleting the stream buffer.

References Buffer, GetTarget(), PSystemLog(), and SetTarget().

## Member Function Documentation

## GetTarget()

static PSystemLogTarget& PSystemLog::GetTarget | ( |  | ) |

static

Get the current target/destination for system logging.

Referenced by PServiceProcess::GetLogLevel(), PServiceProcess::SetLogLevel(), and ~PSystemLog().

## SetTarget()

static void PSystemLog::SetTarget | ( | PSystemLogTarget * | target,
|  | bool | autoDelete = `true`
| ) |  |

static

Set the current target/destination for system logging.

Parameters

  target | New target/destination for logging.
  autoDelete | Indicate target is to be deleted when no longer in use.

Referenced by ~PSystemLog().

The documentation for this class was generated from the following file:

- syslog.h